GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
client_channel.h File Reference
`#include "src/core/channel/channel_stack.h"`
`#include "src/core/client_config/resolver.h"`

Go to the source code of this file.

## Functions
void | grpc_client_channel_set_resolver (grpc_channel_stack *channel_stack, grpc_resolver *resolver)
grpc_connectivity_state | grpc_client_channel_check_connectivity_state (grpc_channel_element *elem, int try_to_connect)
void | grpc_client_channel_watch_connectivity_state (grpc_channel_element *elem, grpc_connectivity_state *state, grpc_iomgr_closure *on_complete)
grpc_pollset_set * | grpc_client_channel_get_connecting_pollset_set (grpc_channel_element *elem)
void | grpc_client_channel_add_interested_party (grpc_channel_element *channel, grpc_pollset *pollset)
void | grpc_client_channel_del_interested_party (grpc_channel_element *channel, grpc_pollset *pollset)

## Variables
const grpc_channel_filter | grpc_client_channel_filter

## Function Documentation

void grpc_client_channel_add_interested_party | ( | grpc_channel_element * | channel,
|  | grpc_pollset * | pollset
| ) |  |

grpc_connectivity_state grpc_client_channel_check_connectivity_state | ( | grpc_channel_element * | elem,
|  | int | try_to_connect
| ) |  |

void grpc_client_channel_del_interested_party | ( | grpc_channel_element * | channel,
|  | grpc_pollset * | pollset
| ) |  |

grpc_pollset_set* grpc_client_channel_get_connecting_pollset_set | ( | grpc_channel_element * | elem | ) |

void grpc_client_channel_set_resolver | ( | grpc_channel_stack * | channel_stack,
|  | grpc_resolver * | resolver
| ) |  |

void grpc_client_channel_watch_connectivity_state | ( | grpc_channel_element * | elem,
|  | grpc_connectivity_state * | state,
|  | grpc_iomgr_closure * | on_complete
| ) |  |

## Variable Documentation

const grpc_channel_filter grpc_client_channel_filter